# Interface IBufferChangedListener

public interface IBufferChangedListener
A listener, which gets notified when the contents of a specific buffer have changed, or when the buffer is closed. When a buffer is closed, the listener is notified after the buffer has been closed. A listener is not notified when a buffer is saved.

This interface may be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`bufferChanged(BufferChangedEvent event)`
Notifies that the given event has occurred.

## Method Details

### bufferChanged

void bufferChanged(BufferChangedEvent event)
Notifies that the given event has occurred.

Parameters:
  `event` - the change event